# file.h File Reference

`#include <ubixos/types.h>`
`#include <vfs/vfs.h>`

Go to the source code of this file.

## Data Structures

struct | taskFileInfo
struct | userFileDescriptorStruct

## Defines

#define | SEEK_SET 0x0

## Typedefs

typedef userFileDescriptorStruct | userFileDescriptor

## Functions

fileDescriptor * | fopen (const char *file, const char *flags)
int | unlink (const char *path)
int | fclose (fileDescriptor *fd)
int | feof (fileDescriptor *fd)
int | fgetc (fileDescriptor *fd)
size_t | fread (void *ptr, size_t size, size_t nmemb, fileDescriptor *fd)
size_t | fwrite (void *ptr, int size, int nmemb, fileDescriptor *fd)
int | fseek (fileDescriptor *, long, int)
void | sysFseek (userFileDescriptor *, long, int)
void | sysChDir (const char *path)
void | chDir (const char *path)
char * | verifyDir (const char *path)

## Variables

fileDescriptor * | fdTable
fileDescriptor * | lastFd

## Define Documentation

#define SEEK_SET 0x0

## Typedef Documentation

typedef struct userFileDescriptorStruct userFileDescriptor

## Function Documentation

void chDir | ( | const char * | path | ) |

int fclose | ( | fileDescriptor * | fd | ) |

int feof | ( | fileDescriptor * | fd | ) |

int fgetc | ( | fileDescriptor * | fd | ) |

fileDescriptor* fopen | ( | const char * | file,
|  | const char * | flags
| ) |

size_t fread | ( | void * | ptr,
|  | size_t | size,
|  | size_t | nmemb,
|  | fileDescriptor * | fd
| ) |

int fseek | ( | fileDescriptor * | ,
|  | long | ,
|  | int |
| ) |

size_t fwrite | ( | void * | ptr,
|  | int | size,
|  | int | nmemb,
|  | fileDescriptor * | fd
| ) |

void sysChDir | ( | const char * | path | ) |

void sysFseek | ( | userFileDescriptor * | ,
|  | long | ,
|  | int |
| ) |

int unlink | ( | const char * | path | ) |

char* verifyDir | ( | const char * | path | ) |

## Variable Documentation

fileDescriptor* fdTable

fileDescriptor* lastFd